adgroup/update

Updates an existing ad group based on the input payload, where the adgroup_id and advertiser_id fields are required and all other update fields are nullable. The updated campaign object is then returned after a successful update request.

If bid data is updated, the amount field should be passed in the standardized Money format in order to be parsed correctly, please reference the "Data Types" section for more details. Valid pricing_type values include:

  • "CPM"

if budget data is updated, the amount field should be passed in the standardized Money format in order to be parsed correctly, please reference the "Data Types" section for more details. Valid budget_type values include:

  • "DAILY_CAP_MONEY"

The start_time and end_time fields can be updated and must be passed in ZonedDateTime format. Refer to the "Data Types" section for more information on standardized date types in the NAM API.

Updating an end_time can mean either setting an explicit ending time or passing in an explicit null to signify this AdGroup should now be running continuously.

Eligible timeunit values for frequency cap configurations include:

  • "MINUTE"
  • "MINUTES"
  • "HOUR"
  • "HOURS"
  • "DAY"
  • "DAYS"
  • "WEEK"
  • "WEEKS"
  • "MONTH"
  • "MONTHS"

Note that the placements of an AdGroup cannot be updated once they are initially set during the creation process.

Body Params
string
string
string
placements
array of strings
placements
bid
object
budget
object
date
date
frequency_caps
object
targeting
object
custom_audience_ids
array of strings
custom_audience_ids
Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json